Bug 580254 - Review Remote API (recurriung release task)
Summary: Review Remote API (recurriung release task)
Status: CLOSED NOTABUG
Alias: None
Product: RHQ Project
Classification: Other
Component: CLI   
(Show other bugs)
Version: 1.4
Hardware: All
OS: All
high
high vote
Target Milestone: ---
: ---
Assignee: Jay Shaughnessy
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-cli jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-04-07 20:16 UTC by Jay Shaughnessy
Modified: 2010-07-07 21:46 UTC (History)
0 users

Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 21:46:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Shaughnessy 2010-04-07 20:16:57 UTC
There have been many additions to the Remote API during the current development phase.

Ensure that our published API is concise, correct and covers only what needs to be exposed for external use by the CLI or other Remote Clients.

Pay particular attention the changes around the Content SubSystem.

For approved API, ensure naming, argument naming and ordering, exceptions and return types are consistent and standardized.

Comment 1 Jay Shaughnessy 2010-06-23 16:40:32 UTC
The API has been reviewed and updated for the 3.0.0 release.

Comment 2 Jay Shaughnessy 2010-07-07 21:46:15 UTC
We'll close this, recurring tasks aren't really well supported by this workflow.


Note You need to log in before you can comment on or make changes to this bug.